﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using WpfApplication1.ViewModels;

namespace WpfApplication1
{
    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class TreeItemTemplateSelector : DataTemplateSelector
    {
        public DataTemplate ParentTemplate { get; set; }
        public DataTemplate FieldTemplate { get; set; }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            DataItem dataItem = item as DataItem;
            if (dataItem == null)
                return base.SelectTemplate(item, container);
            else if (dataItem.Children.Count == 0)
                return FieldTemplate;
            else
                return ParentTemplate;
        }

    }
}
